const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const economic_events = sequelize.define(
    'economic_events',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

title: {
        type: DataTypes.TEXT,
      
      

      },

country: {
        type: DataTypes.TEXT,
      
      

      },

impact: {
        type: DataTypes.ENUM,
      
      

        values: [

"low",


"medium",


"high"

        ],

      },

currency: {
        type: DataTypes.TEXT,
      
      

      },

event_at: {
        type: DataTypes.DATE,
      
      

      },

source: {
        type: DataTypes.TEXT,
      
      

      },

external_ref: {
        type: DataTypes.TEXT,
      
      

      },

description: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  economic_events.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity































//end loop






    db.economic_events.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.economic_events.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return economic_events;
};


